SCREENLOAD(1)

NAME
screenload - load a frame-buffer image from a file

SYNOPSIS
screenload [ -bgnw ] [ -dopr ] [ -f frame-buffer ]
[ -h count data ... ] [ -i color ] [ -xyXY value ]
[ filename ]

DESCRIPTION

screenload reads a Sun standard rasterfile (see rasterfile(5)) and displays it on a frame-buffer. screenload is able to display monochrome images on a color display, but cannot display color images on a monochrome display. If the input file contains a color image, a frame-buffer has not been explicitly specified, and /dev/fb is a monochrome frame-buffer, screenload looks for a color frame-buffer with one of the standard device names.

If the image contained in the input file is larger than the actual resolution of the display, screenload clips the right and bottom edges of the image. If the input image is smaller than the display (for example, loading an 1152-by-900 image on a 1600-by-1280 high resolution display), screenload centers the image on the display surface and fills the border area with solid black (by default). Various options may be used to change the image location, or to change or disable the fill pattern.

OPTIONS

-b  Fill the border area with a pattern of solid ones (default). On a monochrome display this results in a black border; on a color display the color map value selected by the -i option determines the border color.

-g  Fill the border area with a pattern of “desktop grey”. On a monochrome display this results in a border matching the default background pattern used by SunView; on a color display the color map value selected by the -i option determines the foreground border color, though the pattern is the same as on a monochrome display.

-n  Do not fill the border area.

-w  Fill the border area with a pattern of solid zeros. On a monochrome display this results in a white border; on a color display the color map value at index 0 determines the border color.

-d  Print a warning message if the display size does not match the rasterfile image size.

-o  Load the image on the overlay plane of the display (ignored if the display does not have an overlay plane).

-p  Wait for a NEWLINE to be typed on the standard input before exiting.

-r  Reverse the foreground and background of the output image. Useful when loading a screendump made from a reverse video screen.

-f frame-buffer
    Display the image on the specified frame-buffer device (default /dev/fb).

-h count data ...
    Fill the border area with the bit pattern described by the following count 16-bit hexadecimal constants. Note: a “1” bit is black and a “0” bit is white on the monochrome display; on a color display the color map value selected by the -i option determines the border foreground color. The number of hex constants in the pattern is limited to 16.

-i color
    Fill the border area with the given color value (default 255).

-x value
-y value
    Set the x or y coordinate of the upper left corner of the image on the display to the given value.

-X value
-Y value
    Set the maximum width or height of the displayed image to the given value.

EXAMPLES

The command:

    example% screenload saved.display.image

loads the raster image contained in the file saved.display.image on the display type indicated by the rasterfile header in that file.

The command:

    example% screenload -f /dev/cgtwo monochrome.image

reloads the raster image in the file monochrome.image on the color frame-buffer device /dev/cgtwo.

The command:

    example% screenload -h1 ffff small.saved.image

is equivalent to the -b option (fill border with black), while

    example% screenload -h4 8888 8888 2222 2222 small.saved.image

is equivalent to the -g option (fill border with desktop grey).

FILES
/usr/lib/rasfilters/*
    filters for non-standard rasterfile formats
/dev/fb
    default frame buffer device

SEE ALSO
rasfilter8to1(1), rastrepl(1), screendump(1), screenload(1)